Index: /WAeUP_SRP/branches/regebro-noskins/skins/waeup_design/cpsskins_common-css2.css
===================================================================
--- /WAeUP_SRP/branches/regebro-noskins/skins/waeup_design/cpsskins_common-css2.css	(revision 1522)
+++ /WAeUP_SRP/branches/regebro-noskins/skins/waeup_design/cpsskins_common-css2.css	(revision 1523)
@@ -378,5 +378,5 @@
 .colorHeadersideleft {
 background-color:#FFCA31;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/header_side_left.png);
+background-image:url(/header_side_left.png);
 background-position:right top;
 background-repeat:repeat-y;
@@ -386,5 +386,5 @@
 .colorHeadersideright {
 background-color:#FFCA31;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/header_side_right.png);
+background-image:url(/header_side_right.png);
 background-position:left top;
 background-repeat:repeat-y;
@@ -394,5 +394,5 @@
 .colorMainsideleft {
 background-color:gray;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/main_side_left.png);
+background-image:url(/main_side_left.png);
 background-position:right top;
 background-repeat:repeat-y;
@@ -402,5 +402,5 @@
 .colorMainsideright {
 background-color:gray;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/main_side_right.png);
+background-image:url(/main_side_right.png);
 background-repeat:repeat-y;
 border-color:transparent;
@@ -409,5 +409,5 @@
 .colorHeadercandybarbackground {
 background-color:#FF9900;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/header_background.png);
+background-image:url(/header_background.png);
 background-repeat:repeat-x;
 color:#000000;
@@ -420,9 +420,9 @@
 }
 .portalTabTabStyle ul.cpsskinsMenu li a {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/waeup_student_tab.png) no-repeat scroll left top;
+background:transparent url(/waeup_student_tab.png) no-repeat scroll left top;
 }
 .colorFootergradient {
 background-color:#E7E7E7;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/footer_gradient.png);
+background-image:url(/footer_gradient.png);
 background-position:left bottom;
 background-repeat:repeat-x;
@@ -613,5 +613,5 @@
 .colorNavboxstyle {
 background-color:#FFFFFF;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/whitemaintop.png);
+background-image:url(/whitemaintop.png);
 background-position:left bottom;
 background-repeat:no-repeat;
@@ -712,5 +712,5 @@
 .colorAreaColormain {
 background-color:#E7E7E7;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/whitemaintop.png);
+background-image:url(/whitemaintop.png);
 background-position:left top;
 background-repeat:repeat-x;
@@ -720,5 +720,5 @@
 .colormainlittlecorner {
 background-color:#E7E7E7;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/little_main_corner_e7_20px.png);
+background-image:url(/little_main_corner_e7_20px.png);
 background-position:left top;
 background-repeat:no-repeat;
@@ -728,5 +728,5 @@
 .colormainleftborder {
 background-color:white;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/bc_pixel.png);
+background-image:url(/bc_pixel.png);
 background-position:left top;
 background-repeat:repeat-y;
@@ -736,5 +736,5 @@
 .colormaintopcorner {
 background-color:#FFFFFF;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/main_top_corner.png);
+background-image:url(/main_top_corner.png);
 background-position:left top;
 background-repeat:no-repeat;
@@ -1001,17 +1001,17 @@
 }
 .boxCornerRoundedBoxCorners .rbtop div {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner1.png) no-repeat scroll left top;
+background:transparent url(/corner1.png) no-repeat scroll left top;
 height:9px;
 }
 .boxCornerRoundedBoxCorners .rbtop {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner2.png) no-repeat scroll right top;
+background:transparent url(/corner2.png) no-repeat scroll right top;
 height:9px;
 }
 .boxCornerRoundedBoxCorners .rbbot div {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner4.png) no-repeat scroll left bottom;
+background:transparent url(/corner4.png) no-repeat scroll left bottom;
 height:9px;
 }
 .boxCornerRoundedBoxCorners .rbbot {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner3.png) no-repeat scroll right bottom;
+background:transparent url(/corner3.png) no-repeat scroll right bottom;
 height:9px;
 }
@@ -1024,5 +1024,5 @@
 .colortitlebackground {
 background-color:#1F4485;
-background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/cps_athens.png);
+background-image:url(/cps_athens.png);
 background-position:left top;
 background-repeat:no-repeat;
@@ -1035,17 +1035,17 @@
 }
 .boxCornerhalfRoundedBox .rbtop div {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/scorner1.png) no-repeat scroll left top;
+background:transparent url(/scorner1.png) no-repeat scroll left top;
 height:9px;
 }
 .boxCornerhalfRoundedBox .rbtop {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/scorner2.png) no-repeat scroll right top;
+background:transparent url(/scorner2.png) no-repeat scroll right top;
 height:9px;
 }
 .boxCornerhalfRoundedBox .rbbot div {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner4.png) no-repeat scroll left bottom;
+background:transparent url(/corner4.png) no-repeat scroll left bottom;
 height:9px;
 }
 .boxCornerhalfRoundedBox .rbbot {
-background:transparent url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner3.png) no-repeat scroll right bottom;
+background:transparent url(/corner3.png) no-repeat scroll right bottom;
 height:9px;
 }
Index: /WAeUP_SRP/branches/regebro-noskins/skins/waeup_design/cpsskins_renderCSS.css.dtml
===================================================================
--- /WAeUP_SRP/branches/regebro-noskins/skins/waeup_design/cpsskins_renderCSS.css.dtml	(revision 1522)
+++ /WAeUP_SRP/branches/regebro-noskins/skins/waeup_design/cpsskins_renderCSS.css.dtml	(revision 1523)
@@ -1,11 +1,11 @@
-.colorHeadersideleft{border-color:transparent;background-color:#ffca31;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/header_side_left.png);background-repeat:repeat-y;background-position:top right}
-.colorHeadersideright{border-color:transparent;background-color:#ffca31;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/header_side_right.png);background-repeat:repeat-y;background-position:top left}
-.colorMainsideleft{border-color:transparent;background-color:gray;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/main_side_left.png);background-repeat:repeat-y;background-position:top right}
-.colorMainsideright{border-color:transparent;background-color:gray;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/main_side_right.png);background-repeat:repeat-y}
-.colorHeadercandybarbackground{background-color:#ff9900;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/header_background.png);background-repeat:repeat-x}
+.colorHeadersideleft{border-color:transparent;background-color:#ffca31;color:#000000;background-image:url(/header_side_left.png);background-repeat:repeat-y;background-position:top right}
+.colorHeadersideright{border-color:transparent;background-color:#ffca31;color:#000000;background-image:url(/header_side_right.png);background-repeat:repeat-y;background-position:top left}
+.colorMainsideleft{border-color:transparent;background-color:gray;color:#000000;background-image:url(/main_side_left.png);background-repeat:repeat-y;background-position:top right}
+.colorMainsideright{border-color:transparent;background-color:gray;color:#000000;background-image:url(/main_side_right.png);background-repeat:repeat-y}
+.colorHeadercandybarbackground{background-color:#ff9900;color:#000000;background-image:url(/header_background.png);background-repeat:repeat-x}
 .portalTabTabStyle ul.cpsskinsMenu li{margin:0 2px 0 0}
 .portalTabTabStyle ul.cpsskinsMenu li a{padding:3px 2px 3px 2px}
-.portalTabTabStyle ul.cpsskinsMenu li a{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/waeup_student_tab.png) left top no-repeat}
-.colorFootergradient{border-color:transparent;background-color:#e7e7e7;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/footer_gradient.png);background-repeat:repeat-x;background-position:bottom left}
+.portalTabTabStyle ul.cpsskinsMenu li a{background:url(/waeup_student_tab.png) left top no-repeat}
+.colorFootergradient{border-color:transparent;background-color:#e7e7e7;color:#000000;background-image:url(/footer_gradient.png);background-repeat:repeat-x;background-position:bottom left}
 .colorgraye7{border-color:transparent;background-color:#e7e7e7;color:#000000;background-repeat:repeat}
 .fontShapeaverage{font:12px Arial,sans-serif, Verdana, Helvetica !important}
@@ -30,5 +30,5 @@
 .fontShapemini a:active,.fontShapemini a:active div,.fontShapemini a:active span{text-decoration:underline overline}
 .fontShapemini a:hover,.fontShapemini a:hover div,.fontShapemini a:hover span{text-decoration:underline}
-.colorNavboxstyle{border-color:transparent;background-color:#FFFFFF;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/whitemaintop.png);background-repeat:no-repeat;background-position:bottom left}
+.colorNavboxstyle{border-color:transparent;background-color:#FFFFFF;color:#000000;background-image:url(/whitemaintop.png);background-repeat:no-repeat;background-position:bottom left}
 .boxShapeextraleftboxes .title{border-style:none;border-width:0;padding:30px 10px 5px 5px;display:inline;font:bold 12px arial, sans-serif, Verdana, Helvetica}
 .boxShapeextraleftboxes .body{border-style:none none solid none;border-width:1px;padding:5px 5px 10px 5px}
@@ -52,8 +52,8 @@
 .fontColordefaultfontcolors a:active,.fontColordefaultfontcolors a:active div,.fontColordefaultfontcolors a:active span{color:blue}
 .fontColordefaultfontcolors a:hover,.fontColordefaultfontcolors a:hover div,.fontColordefaultfontcolors a:hover span{color:#0066cc}
-.colorAreaColormain{border-color:#bcbcbc;background-color:#e7e7e7;color:#333333;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/whitemaintop.png);background-repeat:repeat-x;background-position:top left}
-.colormainlittlecorner{border-color:transparent;background-color:#e7e7e7;color:#666666;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/little_main_corner_e7_20px.png);background-repeat:no-repeat;background-position:top left}
-.colormainleftborder{border-color:#bcbcbc;background-color:white;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/bc_pixel.png);background-repeat:repeat-y;background-position:top left}
-.colormaintopcorner{border-color:transparent;background-color:#FFF;color:#333333;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/main_top_corner.png);background-repeat:no-repeat;background-position:top left}
+.colorAreaColormain{border-color:#bcbcbc;background-color:#e7e7e7;color:#333333;background-image:url(/whitemaintop.png);background-repeat:repeat-x;background-position:top left}
+.colormainlittlecorner{border-color:transparent;background-color:#e7e7e7;color:#666666;background-image:url(/little_main_corner_e7_20px.png);background-repeat:no-repeat;background-position:top left}
+.colormainleftborder{border-color:#bcbcbc;background-color:white;color:#000000;background-image:url(/bc_pixel.png);background-repeat:repeat-y;background-position:top left}
+.colormaintopcorner{border-color:transparent;background-color:#FFF;color:#333333;background-image:url(/main_top_corner.png);background-repeat:no-repeat;background-position:top left}
 .boxShapeobjectactions .title{border-style:none solid none none;border-width:1px;padding:0;display:inline;font:12px arial, sans-serif}
 .boxShapeobjectactions .body{border-style:none;border-width:1px;padding:0px}
@@ -106,16 +106,16 @@
 .fontShapeactions a:hover,.fontShapeactions a:hover div,.fontShapeactions a:hover span{text-decoration:none}
 .boxCornerRoundedBoxCorners{border:1px solid #bcbcbc;background-color:white}
-.boxCornerRoundedBoxCorners .rbtop div{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner1.png) no-repeat top left;height:9px}
-.boxCornerRoundedBoxCorners .rbtop{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner2.png) no-repeat top right;height:9px}
-.boxCornerRoundedBoxCorners .rbbot div{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner4.png) no-repeat bottom left;height:9px}
-.boxCornerRoundedBoxCorners .rbbot{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner3.png) no-repeat bottom right;height:9px}
+.boxCornerRoundedBoxCorners .rbtop div{background:url(/corner1.png) no-repeat top left;height:9px}
+.boxCornerRoundedBoxCorners .rbtop{background:url(/corner2.png) no-repeat top right;height:9px}
+.boxCornerRoundedBoxCorners .rbbot div{background:url(/corner4.png) no-repeat bottom left;height:9px}
+.boxCornerRoundedBoxCorners .rbbot{background:url(/corner3.png) no-repeat bottom right;height:9px}
 .portalTabPortalTabStyleuseractions ul.cpsskinsMenu li{margin:0 5px 0 0}
 .portalTabPortalTabStyleuseractions ul.cpsskinsMenu li a{padding:1px 0px 1px 0px}
-.colortitlebackground{border-color:transparent;background-color:#1F4485;color:#000000;background-image:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/cps_athens.png);background-repeat:no-repeat;background-position:top left}
+.colortitlebackground{border-color:transparent;background-color:#1F4485;color:#000000;background-image:url(/cps_athens.png);background-repeat:no-repeat;background-position:top left}
 .boxCornerhalfRoundedBox{border:1px solid #bcbcbc;background-color:#FFF}
-.boxCornerhalfRoundedBox .rbtop div{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/scorner1.png) no-repeat top left;height:9px}
-.boxCornerhalfRoundedBox .rbtop{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/scorner2.png) no-repeat top right;height:9px}
-.boxCornerhalfRoundedBox .rbbot div{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner4.png) no-repeat bottom left;height:9px}
-.boxCornerhalfRoundedBox .rbbot{background:url(/cpsskins/portal_themes/WAeUP_Student/backgrounds/corner3.png) no-repeat bottom right;height:9px}
+.boxCornerhalfRoundedBox .rbtop div{background:url(/scorner1.png) no-repeat top left;height:9px}
+.boxCornerhalfRoundedBox .rbtop{background:url(/scorner2.png) no-repeat top right;height:9px}
+.boxCornerhalfRoundedBox .rbbot div{background:url(/corner4.png) no-repeat bottom left;height:9px}
+.boxCornerhalfRoundedBox .rbbot{background:url(/corner3.png) no-repeat bottom right;height:9px}
 .fontShapeTitleindex{font:13px Arial,sans-serif, Verdana, Helvetica !important}
 .fontShapeTitleindex p{font:100% Arial,sans-serif, Verdana, Helvetica !important;padding:0em}