Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1530)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1531)
@@ -19,17 +19,21 @@
       </span>
       <span tal:condition="allowed" tal:omit-tag="">
-        <a href="statistics_new_view"><strong><nobr>New Student Statistics</nobr></strong></a>
-        &nbsp;&nbsp;&nbsp;&nbsp;
-        <a href="statistics_ret_view"><strong><nobr>Returning Student Statistics</nobr></strong></a>
-        &nbsp;&nbsp;&nbsp;&nbsp;
-        <a href="statistics_reg_view"><strong><nobr>Registration Statistics</nobr></strong></a>
-        &nbsp;&nbsp;&nbsp;&nbsp;        
-        <a href="list_students"><strong><nobr>Cleared Student Export</nobr></strong></a>
-        &nbsp;&nbsp;&nbsp;&nbsp;
-        <span tal:condition="is_so">
-        <a href="add_student"><strong><nobr>Add Student Record</nobr></strong></a>        
-        &nbsp;&nbsp;&nbsp;&nbsp;
-        <a href="paid_transfer_list"><strong><nobr>Export Transfer Students</nobr></strong></a>    
-        </span> 
+      
+      <strong>
+      <nobr><a href="statistics_new_view">New Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_reg_view">Registration Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
+      <nobr><a href="list_students">Cleared Student Export</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <span tal:condition="is_so">
+         <nobr><a href="add_student">Add Student Record</a>        
+         &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+         <nobr><a href="paid_transfer_list">Export Transfer Students</a></nobr>    
+      </span>
+      </strong>
+     
               
         <h3> Search Student Section</h3><br />
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 1530)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 1531)
@@ -10,9 +10,19 @@
       <span tal:condition="departments">
   
-      <a href="search_students"><strong><nobr>Search Students</nobr></strong></a>
-      &nbsp;&nbsp;&nbsp;&nbsp;
-      <a href="statistics_ret_view"><strong><nobr>Returning Student Statistics</nobr></strong></a>
-      &nbsp;&nbsp;&nbsp;&nbsp;
-      <a href="statistics_reg_view"><strong><nobr>Registration Statistics</nobr></strong></a>      
+      <strong>
+      <nobr><a href="statistics_new_view">New Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_reg_view">Registration Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
+      <nobr><a href="list_students">Cleared Student Export</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <span tal:condition="is_so">
+         <nobr><a href="add_student">Add Student Record</a>        
+         &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+         <nobr><a href="paid_transfer_list">Export Transfer Students</a></nobr>    
+      </span>
+      </strong>     
 
       <h3>New Student Statistics</h3>
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_reg_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_reg_view.pt	(revision 1530)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_reg_view.pt	(revision 1531)
@@ -10,9 +10,19 @@
       <span tal:condition="departments">
   
-      <a href="search_students"><strong><nobr>Search Students</nobr></strong></a>
-      &nbsp;&nbsp;&nbsp;&nbsp;
-      <a href="statistics_new_view"><strong><nobr>New Student Statistics</nobr></strong></a>
-      &nbsp;&nbsp;&nbsp;&nbsp;
-      <a href="statistics_ret_view"><strong><nobr>Returning Student Statistics</nobr></strong></a>      
+      <strong>
+      <nobr><a href="statistics_new_view">New Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_reg_view">Registration Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
+      <nobr><a href="list_students">Cleared Student Export</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <span tal:condition="is_so">
+         <nobr><a href="add_student">Add Student Record</a>        
+         &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+         <nobr><a href="paid_transfer_list">Export Transfer Students</a></nobr>    
+      </span>
+      </strong>
 
       <h3>New Student Statistics</h3>
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 1530)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 1531)
@@ -10,9 +10,21 @@
       <span tal:condition="departments">
   
-      <a href="search_students"><strong><nobr>Search Students</nobr></strong></a>
-      &nbsp;&nbsp;&nbsp;&nbsp;
-      <a href="statistics_new_view"><strong><nobr>New Student Statistics</nobr></strong></a>
-      &nbsp;&nbsp;&nbsp;&nbsp;
-      <a href="statistics_reg_view"><strong><nobr>Registration Statistics</nobr></strong></a>      
+      <strong>
+      <nobr><a href="statistics_new_view">New Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="statistics_reg_view">Registration Statistics</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
+      <nobr><a href="list_students">Cleared Student Export</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <span tal:condition="is_so">
+         <nobr><a href="add_student">Add Student Record</a>        
+         &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+         <nobr><a href="paid_transfer_list">Export Transfer Students</a></nobr>    
+      </span>
+      </strong>
+
+   
       <h3>Returning Student Statistics</h3>
       <br />      