Index: WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 1539)
+++ WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 1540)
@@ -30,6 +30,6 @@
         <table tal:condition="info/used">
           <tr tal:repeat="pin info/used">
-            <td tal:content="python:path('repeat/pin/index')+1" />
-            <td width="50px"> <span tal:content="pin/serial" />: </td>
+            <td tal:content="python:path('repeat/pin/index')+1">: </td>
+            <td width="50px"> <span tal:content="pin/serial" /></td>
             <td tal:content="pin/pin" />
             <td tal:content="pin/student_id" />
Index: WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py	(revision 1539)
+++ WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py	(revision 1540)
@@ -36,5 +36,5 @@
     uid = res[0].pin
     dict = {"pin": uid,
-            "student": "disabled by: %s on %s" % (member,current)
+            "student": "disabled by %s on %s" % (member,current)
             }
     pincat.modifyRecord(**dict)
Index: WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 1539)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "getBatchInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None
-##title=
-##
-# $Id$
-"""
-return Info about the current Batch
-"""
-
-info = {}
-if batch is None:
-    if context.portal_type == 'ScratchCardBatch':
-        batch = context
-    else:
-        return None
-bd = batch.getContent()
-info['batch_doc'] = bd
-info['id'] = batch.getId()
-info['title'] = batch.Title or 'empty Title'
-info['unused'],used = batch.getContent().getUnusedPins()
-l = []
-p_url = context.portal_url
-students_url = "%s/%s" % (p_url,"students")
-
-for item in used:
-    sno = item['student']
-    if len(sno)==10:
-    #if bd.prefix == "APP":
-        #res = context.portal_catalog(SearchableText=sno,portal_type='StudentApplication')
-        res = context.students_catalog(jamb_reg_no=sno)
-        if len(res) > 0:
-            item['student_url'] = "%s/%s" % (context.portal_url(),res[0].id)
-            item['student_id'] = res[0].id
-        else:
-            item['student_url'] = None
-    else:
-        item['student_url'] = '%s/%s' % (students_url,item['student'])
-        item['student_id'] = student
-info['used'] = used
-return info
Index: WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py	(revision 1539)
+++ WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py	(revision 1540)
@@ -39,5 +39,5 @@
                 not_found.append(item)
     return not_found
-        
+
 def set_used_pins(items, from_cat=False):
     l = []
@@ -55,5 +55,5 @@
             pin = i.get('pin')
         item['student'] = sno
-        item['prefix'] = prefix 
+        item['prefix'] = prefix
         item['serial'] = serial
         if len(sno) > 0:
@@ -79,7 +79,8 @@
             if sno.startswith('disabled'):
                 item['student_url'] = None
+                item['student_id'] = ''
             else:
                 item['student_url'] = '%s/campus/students/%s' % (context.portal_url(),item['student'])
-            item['student_id'] = item['student']
+                item['student_id'] = item['student']
         else:
             item['student_url'] = ''
@@ -104,5 +105,5 @@
 #from Products.zdb import set_trace;set_trace()
 if context.portal_type == "ScratchCardBatch":
-    info['batch_doc'] = context.getContent() 
+    info['batch_doc'] = context.getContent()
     info['used'] = set_used_pins(info['batch_doc'].getUsedPins())
     info['unused'] = info['batch_doc'].getUnusedPins()
@@ -140,5 +141,5 @@
     else:
         items = []
-        
+
 info['used'] = set_used_pins(items,from_cat=True)
 