Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1568)
@@ -21,5 +21,5 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Member.Login')
+logger = logging.getLogger('Skins.logged_in')
 
 
@@ -71,10 +71,10 @@
         student_per = getattr(student,'personal',None)
         p_review_state = wftool.getInfoFor(student_per,'review_state',None)
-        logger.info('"%s", "logged in", "review_state %s"' % (member,s_review_state))
+        logger.info('%s logged in, review_state %s' % (member,s_review_state))
         app_doc = student_app.getContent()
         #from Products.zdb import set_trace;set_trace()
         if load_passport and 'passport' not in app_doc.objectIds():
             msg = context.waeup_tool.loadStudentFoto(student)
-            logger.info('"%s", "%s"' % (member,msg))
+            logger.info('%s, %s' % (member,msg))
         if s_review_state in ("student_created","admitted") and\
                              a_review_state == 'created' :
@@ -134,5 +134,5 @@
             redirect_url = "%s/student_index" % student.absolute_url()
     else:
-        logger.info('"%s", "logged in"' % (member))
+        logger.info('%s logged in' % (member))
         redirect_url = portal.absolute_url()
 #Anonymous
Index: WAeUP_SRP/trunk/skins/waeup_custom/logout.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logout.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logout.py	(revision 1568)
@@ -10,5 +10,5 @@
 # notify the event service that the user has logged out
 import logging
-logger = logging.getLogger('Member.Logout')
+logger = logging.getLogger('Skins.logout')
 user = context.portal_membership.getAuthenticatedMember()
 if user:
@@ -16,5 +16,5 @@
     evtool = getPublicEventService(context)
     evtool.notifyEvent('user_logout', user, {})
-    logger.info('"%s", "logged out"' % (user))
+    logger.info('%s logged out' % (user))
 
 REQUEST = context.REQUEST
Index: WAeUP_SRP/trunk/skins/waeup_epayment/approve_epayment.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/approve_epayment.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/approve_epayment.py	(revision 1568)
@@ -1,3 +1,3 @@
-## Script (Python) "epayment_cb"
+## Script (Python) "approve_epayment"
 ##bind container=container
 ##bind context=context
@@ -10,8 +10,7 @@
 # $Id: aprove_epayment.py 1425 2007-02-15 17:52:01Z joachim $
 """
-payment callback
 """
 import logging
-logger = logging.getLogger('EPayment.Approve')
+logger = logging.getLogger('Skins.approve_epayment')
 import DateTime
 if context.portal_membership.isAnonymousUser():
@@ -42,5 +41,5 @@
 if doc.type_description.startswith('School Fee'):
     wftool.doActionFor(student,'pay_school_fee')
-logger.info('"%s", "approved epayment for","%s""' % (member,student_id))
+logger.info('%s approves epayment for %s' % (member,student_id))
 wftool.doActionFor(context,'close')
 return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py	(revision 1568)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('EPayment.CallBack')
+logger = logging.getLogger('Skins.epayment_cb')
 import DateTime
 if context.portal_membership.isAnonymousUser():
@@ -43,10 +43,10 @@
 if  resp == '00':
     wftool.doActionFor(student,'pay_school_fee')
-    logger.info('"%s", "received valid callback"' % student_id)
+    logger.info('%s received valid callback' % student_id)
 
 elif len(resp) < 3:
-    logger.info('"%s", "received no callback"' % student_id)
+    logger.info('%s received no callback' % student_id)
 else:
-    logger.info('"%s", "received unsuccessfull callback"' % student_id)
+    logger.info('%s received unsuccessfull callback' % student_id)
 wftool.doActionFor(context,'close')
 
Index: WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1568)
@@ -1,3 +1,3 @@
-## Script (Python) "getPaymentsInfo"
+## Script (Python) "getPaymentsFolderInfo"
 ##bind container=container
 ##bind context=context
@@ -12,6 +12,7 @@
 Info for the PaymentsFolder
 """
-import logging
-logger = logging.getLogger('EPayment.Info')
+#import logging
+#logger = logging.getLogger('Skins.getPaymentsFolderInfo')
+
 import DateTime
 request = context.REQUEST
@@ -57,5 +58,5 @@
         row['confirmed'] = 'unsuccessful'
     payments.append(row)
-    
+
 
 info['payments'] = payments
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 1568)
@@ -14,5 +14,5 @@
 import logging
 from urllib import urlencode
-logger = logging.getLogger('EPayment.PayBySC')
+logger = logging.getLogger('Skins.pay_by_sc')
 import DateTime
 
@@ -85,7 +85,7 @@
     wftool.doActionFor(payment,'close')
     wftool.doActionFor(student,'pay_school_fee')
-    logger.info('"%s", "paid school fee by scratch card"' % student_id)
+    logger.info('%s paid school fee by scratch card' % student_id)
 else:
-    logger.info('"%s", "repeatedly paid school fee by scratch card"' % student_id)
+    logger.info('%s repeatedly paid school fee by scratch card' % student_id)
 url = "%s/payments" % (student.absolute_url())
 request.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1568)
@@ -14,5 +14,5 @@
 from urllib import urlencode
 import logging
-logger = logging.getLogger('EPayment.PayOnline')
+logger = logging.getLogger('Skins.pay_online')
 import DateTime
 
@@ -91,5 +91,5 @@
 info['callback_url'] = "%s/payments/%s/epayment_cb" % (student.absolute_url(),p_id)
 
-logger.info('"%(student_id)s","%(type_description)s", "%(amount)s N"' % info)
+logger.info('%(student_id)s initiated online school fee payment, %(type_description)s %(amount)s N' % info)
 payment_fields = (('x_SiteID','site_id'),
                   ('x_Redirect_url','callback_url'),
Index: WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1568)
@@ -5,8 +5,7 @@
 return html renderer + psm
 """
-import DateTime,logging
+import DateTime
 current = DateTime.DateTime()
 pr = context.portal_registration
-logger = logging.getLogger('EPayment.Simulate')
 validate = REQUEST.has_key("cpsdocument_edit_button")
 
Index: WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py	(revision 1568)
@@ -15,5 +15,5 @@
 current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
 import logging
-logger = logging.getLogger('Pin.Disable')
+logger = logging.getLogger('Skins.disable_pins')
 
 request = REQUEST
@@ -39,4 +39,4 @@
             }
     pincat.modifyRecord(**dict)
-    logger.info('"%s","disabled pin","%s"' % (member,uid))
+    logger.info('%s disabled pin %s' % (member,uid))
 return request.RESPONSE.redirect("%s/campus/pins/search_pins" % context.portal_url())
Index: WAeUP_SRP/trunk/skins/waeup_pins/enable_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/enable_pins.py	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_pins/enable_pins.py	(revision 1568)
@@ -15,5 +15,5 @@
 current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
 import logging
-logger = logging.getLogger('Pin.Enable')
+logger = logging.getLogger('Skins.enable_pins')
 
 request = REQUEST
@@ -42,4 +42,4 @@
             }
     pincat.modifyRecord(**dict)
-    logger.info('"%s","enabled pin","%s"' % (member,pid))
+    logger.info('%s enabled pin %s' % (member,pid))
 return request.RESPONSE.redirect("%s/campus/pins/search_pins" % context.portal_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1567)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1568)
@@ -27,10 +27,10 @@
       <nobr><a href="statistics_reg_view">Registration Statistics</a>
       &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
-      <nobr><a href="list_students">Cleared Student Export</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
       <span tal:condition="is_so">
-         <nobr><a href="add_student">Add Student Record</a>        
+         <nobr><a href="list_students">Cleared Student Export</a>
          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-         <nobr><a href="paid_transfer_list">Export Transfer Students</a></nobr>    
+         <nobr><a href="paid_transfer_list">Transfer Student Export</a></nobr>    
+         &nbsp;&nbsp;&nbsp;&nbsp;
+         <nobr><a href="add_student">Add Student Record</a></nobr>
       </span>
       </strong>
@@ -42,9 +42,9 @@
           </span>
           <span tal:condition="info/departments|nothing" tal:omit-tag="">
-            and <span tal:repeat="department info/departments|nothing" tal:content="department"/></span>.
+            and <span tal:repeat="department info/departments|nothing" tal:content="department"/></span>
           <span tal:condition="info/certificate_level|nothing" tal:omit-tag="">
             who is CourseAdviser for 
             <span tal:repeat="cl info/certificate_level" tal:content="cl" />
-          </span>
+          </span>.
           <br /><br />
         <span tal:replace="structure rendered" />