Index: /WAeUP_SRP/branches/uli/skins/waeup_student/getLogData.py
===================================================================
--- /WAeUP_SRP/branches/uli/skins/waeup_student/getLogData.py	(revision 1570)
+++ /WAeUP_SRP/branches/uli/skins/waeup_student/getLogData.py	(revision 1570)
@@ -0,0 +1,37 @@
+## Script (Python) "getLogData"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+"""
+return logfile entries
+"""
+
+wtool = context.waeup_tool
+
+# Default values...
+filename = "event.log"
+numlines = 30
+
+# Validate posted vars...
+request = container.REQUEST
+if 'filename' in request.keys():
+    if request['filename'] in ['event.log','Z2.log']:
+        filename = request['filename']
+
+if 'numlines' in request.keys():
+    try:
+        reqlines = int(request['numlines'])
+        if reqlines > 0 and reqlines < 1000:
+            numlines = reqlines
+    except:
+        pass
+
+return { 'filename' : filename,
+         'numlines' : numlines,
+         'lines' : wtool.getLogfileLines(filename, numlines)
+       }
Index: /WAeUP_SRP/branches/uli/skins/waeup_student/search_students_form.pt
===================================================================
--- /WAeUP_SRP/branches/uli/skins/waeup_student/search_students_form.pt	(revision 1569)
+++ /WAeUP_SRP/branches/uli/skins/waeup_student/search_students_form.pt	(revision 1570)
@@ -30,4 +30,7 @@
       &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
       <span tal:condition="is_so">
+      <nobr><a href="view_logs">View Log Files</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+
          <nobr><a href="add_student">Add Student Record</a>        
          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
@@ -35,5 +38,5 @@
       </span>
       </strong>
-     
+    
               
         <h3> Search Student Section</h3><br />
Index: /WAeUP_SRP/branches/uli/skins/waeup_student/view_logs.pt
===================================================================
--- /WAeUP_SRP/branches/uli/skins/waeup_student/view_logs.pt	(revision 1570)
+++ /WAeUP_SRP/branches/uli/skins/waeup_student/view_logs.pt	(revision 1570)
@@ -0,0 +1,56 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main">
+  <metal:block tal:define="data context/getLogData;
+			mtool here/portal_membership;
+                        member mtool/getAuthenticatedMember;">       
+
+      <h3>Current Log Entries (<span tal:replace="data/filename"/>)</h3>
+      <br />      
+
+      <span tal:condition="not:isAnon">
+
+        <form method="post" action="view_logs">
+          Show last <input type="text" name="numlines" value="20"
+		           tal:attributes="value data/numlines" />
+	  lines of
+	  <select name="filename">
+	    <option 
+	       tal:attributes="selected python: data['filename']=='event.log'"
+	       value="event.log">Event Log</option>
+            <option 
+	       tal:attributes="selected python: data['filename']=='Z2.log'"
+               value="Z2.log">Access Log</option>
+          </select>
+          <input type="submit" value="Refresh" />
+        </form>
+
+	<hr />
+
+        <table>
+          <tr class="even ajaxtd" tal:repeat="line data/lines">
+	    <td><span tal:replace="line" /></td>
+          </tr>
+        </table>
+
+	<hr />
+
+        <form method="post" action="view_logs">
+          Show last <input type="text" name="numlines" value="20"
+		           tal:attributes="value data/numlines" />
+	  lines of
+	  <select name="filename">
+	    <option 
+	       tal:attributes="selected python: data['filename']=='event.log'"
+	       value="event.log">Event Log</option>
+            <option 
+	       tal:attributes="selected python: data['filename']=='Z2.log'"
+               value="Z2.log">Access Log</option>
+          </select>
+          <input type="submit" value="Refresh" />
+        </form>
+
+      </span> <!-- condition: not:isAnon -->
+  </metal:block>      
+  </metal:main>
+</metal:body>
+      