Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1575)
@@ -122,4 +122,7 @@
         action = "/contact_student_form"
         psm = "Student's clearance request has been rejected! Please fill and submit the form below!"
+        subject = "Clearance request rejected"
+        args['subject'] = subject
+        args['continue'] = 'external_clearance_edit_form'
 else:
     psm = "Please correct your errors!"
@@ -128,4 +131,4 @@
 args['portal_status_message'] = psm
 url = clear.absolute_url() + action + '?' + urlencode(args)
-REQUEST.RESPONSE.redirect(url)
+return REQUEST.RESPONSE.redirect(url)
 
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 1575)
@@ -1,5 +1,5 @@
-<metal:html tal:define="info context/getClearanceInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                 tal:define="info context/getClearanceInfo">
       <span tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -66,4 +66,3 @@
       </span>
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1575)
@@ -1,6 +1,9 @@
+<metal:block define-macro="contact_student_form">
 <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="member python:context.portal_membership.getAuthenticatedMember();
                         info context/getStudentBaseInfo;
+                        subject python:context.REQUEST.get('subject');
+                        continue python:context.REQUEST.get('continue')
                         ">
       <span tal:condition="not: info">
@@ -8,5 +11,5 @@
       </span>                        
     
-      <span tal:condition="info">
+      <span tal:condition="python: info and subject">
       <h3>Contact Student</h3>
       <br />
@@ -23,5 +26,7 @@
       <input type="hidden" name="student_email" type="text" id="student_email"
              tal:attributes="value info/student/email"/>                   
-
+      <input type="hidden" name="probtype" type="text" id="probtype"
+             tal:attributes="value subject"/>     
+             
       <table width="100%" border="0" cellspacing="5" cellpadding="0">
         <tr>
@@ -42,11 +47,9 @@
         </tr>
         <tr>
-          <td>
-             <strong>Type of Rejection: </strong>
+          <td valign="top">
+             <strong>Reason of Notification: </strong>
           </td>
-          <td>
-              <select name="probtype" class="boxgreen" id="probtype">
-                <option>Clearance request rejected</option>
-              </select>        
+          <td valign="bottom">
+             <span tal:content="subject" />
           </td>
         </tr>        
@@ -67,5 +70,6 @@
       </span>
       <form action="." method="post" class="group">
-            <input type="submit" name="external_clearance_edit_form:method"
+            <input type="submit" name="."
+                       tal:attributes="name string:${continue}:method"
                        class="context" value="Continue" />
       </form>      
@@ -73,2 +77,3 @@
     </metal:main>
 </metal:body>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form_2.pt	(revision 1575)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form_2.pt	(revision 1575)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/contact_student_form/macros/contact_student_form" />
Index: WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1575)
@@ -1,12 +1,13 @@
-<metal:html tal:define="info context/getStudyLevelInfo;
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getStudyLevelInfo;
                   is_so context/isSectionOfficer;
                   is_ca info/is_ca;
                   show_check_boxes info/show_check_boxes;
-		  is_student info/is_student;
-		  status_info info/status_info;
-		  review_state info/review_state;
-		  view_only info/view_only">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+                  validated python:context.getStudentReviewState() in ('courses_validated',);
+		              is_student info/is_student;
+            		  status_info info/status_info;
+            		  review_state info/review_state;
+            		  view_only info/view_only">
       <span tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -14,22 +15,24 @@
       <span tal:condition="info">
       <h3>Course Registration Slip</h3>
+      
       <br />
-      <table width="" cellpadding="2" cellspacing="0">
+      
+      <div tal:condition="validated">
+        - validated by Course Adviser -
+      </div>
+      <div tal:condition="not: validated">
+        - not yet validated by Course Adviser -
+      </div>
+      
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />           
+
+      <table  cellpadding="2" cellspacing="0">
           <tr>
-            <td valign="top"><span class="dlabel">Name</span>:
-            </td>
-            <td> 
-              <span tal:content="info/student/name" />
-            </td>      
-          </tr>
-          <tr>
-            <td valign="top"><span class="dlabel">Student Id</span>:
-            </td>
-            <td> 
-              <span tal:content="info/student/id" />
-            </td>      
-          </tr>
-          <tr>
-            <td valign="top"><span class="dlabel">Matriculation No</span>:
+            <td valign="top" width="180px"><span class="dlabel">Matriculation No</span>:
             </td>
             <td> 
@@ -111,5 +114,4 @@
        </span>              
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
   
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 1575)
@@ -108,3 +108,9 @@
 normal.sort(cmp_semester)
 info['normal'] = normal
+
+students_object = context.portal_url.getPortalObject().campus.students
+student = getattr(students_object, student_id)
+info['app'] = student.application
+info['app_doc'] = student.application.getContent()
+
 return info
Index: WAeUP_SRP/trunk/skins/waeup_student/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/mail2student.py	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/mail2student.py	(revision 1575)
@@ -37,5 +37,5 @@
      co_name,
      co_email,
-     student_email,  
+     student_email,
      co_email,
      'henrik@waeup.org',
Index: WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1575)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=student=None
+##parameters=REQUEST, student=None
 ##title=
 ##
@@ -17,5 +17,5 @@
     def set_trace():
         pass
-
+from urllib import urlencode
 request = context.REQUEST
 mtool = context.portal_membership
@@ -32,3 +32,14 @@
 wftool.doActionFor(student,'reject_courses')
 logger.info('%s rejected course list of %s' % (member,student.getId()))
-return request.RESPONSE.redirect("%s" % context.absolute_url())
+
+args = {}
+action = "/contact_student_form_2"
+psm = "Student's course list has been rejected! Please fill and submit the form below!"
+subject = "Course list rejected"
+args['subject'] = subject
+args['continue'] = 'study_level_view'
+args['portal_status_message'] = psm
+url = context.absolute_url() + action + '?' + urlencode(args)
+return REQUEST.RESPONSE.redirect(url)
+
+#return request.RESPONSE.redirect("%s" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py	(revision 1574)
+++ WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py	(revision 1575)
@@ -29,4 +29,9 @@
 student = getattr(students_folder,context.getStudentId())
 wftool.doActionFor(student,'validate_courses')
-logger.info('%s validated course list for %s' % (member,student.getId()))
-return request.RESPONSE.redirect("%s" % context.absolute_url())
+logger.info('%s validated course list of %s' % (member,student.getId()))	
+
+psm = 'portal_status_message=Course list validated!'
+url = context.absolute_url() +  '?' + psm
+return request.RESPONSE.redirect(url)
+
+