Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form_2.pt	(revision 1587)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<metal:block use-macro="here/contact_student_form/macros/contact_student_form" />
Index: WAeUP_SRP/trunk/skins/waeup_student/external_contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_contact_student_form.pt	(revision 1588)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_contact_student_form.pt	(revision 1588)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/contact_student_form/macros/contact_student_form" />
Index: WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1587)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1588)
@@ -167,9 +167,10 @@
                 <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
                        class="context" value="Reject" />
-                       
-                <input type="hidden" name="action" type="text" id="action"
-                       tal:attributes="value string:/external_study_level_view"/>    
-                <input type="hidden" name="contin" type="text" id="contin"
-                       tal:attributes="value string:/contact_student_form_2"/>                                              
+
+                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                       tal:attributes="value string:external_study_level_view"/>                         
+                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                       tal:attributes="value string:external_contact_student_form"/>    
+                                           
 
             </td>
Index: WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1587)
+++ WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1588)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=REQUEST, student=None, action=None, contin=None
+##parameters=REQUEST, student=None, action_after_reject=None, action_after_validate=None
 ##title=
 ##
@@ -38,7 +38,7 @@
 subject = "Course list rejected"
 args['subject'] = subject
-args['continue'] = contin
+args['continue'] = action_after_validate
 args['portal_status_message'] = psm
-url = context.absolute_url() + action + '?' + urlencode(args)
+url = context.absolute_url() + '/' + action_after_reject + '?' + urlencode(args)
 return REQUEST.RESPONSE.redirect(url)
 
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1587)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1588)
@@ -175,8 +175,9 @@
                        class="context" value="Reject" />
                        
-                <input type="hidden" name="action" type="text" id="action"
-                       tal:attributes="value string:/study_level_view"/>  
-                <input type="hidden" name="contin" type="text" id="contin"
-                       tal:attributes="value string:/contact_student_form"/>                                              
+                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                       tal:attributes="value string:/study_level_view"/>                         
+                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                       tal:attributes="value string:/contact_student_form"/>    
+                                             
 
             </td>
Index: WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py	(revision 1587)
+++ WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py	(revision 1588)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=student=None, action=None
+##parameters=student=None, action_after_reject=None, action_after_validate=None
 ##title=
 ##
@@ -32,5 +32,5 @@
 
 psm = 'portal_status_message=Course list validated!'
-url = context.absolute_url() + action +  '?' + psm
+url = context.absolute_url() + '/' + action_after_validate +  '?' + psm
 return request.RESPONSE.redirect(url)
 