Index: WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1590)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=
+##parameters=REQUEST=None, action_after_validate=None
 ##title=
 ##
@@ -22,5 +22,5 @@
     def set_trace():
         pass
-request = context.REQUEST
+#request = context.REQUEST
 course_cat = context.courses_catalog
 from Products.AdvancedQuery import Eq, Between, Le,In
@@ -57,5 +57,5 @@
     return request.RESPONSE.redirect(url)
 
-   
+
 cr_id = context.invokeFactory('StudentCourseResult',course_id)
 #set_trace()
@@ -66,8 +66,9 @@
 args['course_id'] = course_id
 
-logger.info('%s added StudentCourseResult object %s' % (member,course_id))   
+logger.info('%s added StudentCourseResult object %s' % (member,course_id))
 
-from urllib import urlencode
-url = "%s?%s" % (context.absolute_url(),urlencode(args))
-return request.RESPONSE.redirect(url)
+psm = "You successfully added course %s!" course_id
+args['portal_status_message'] = psm
+url = context.absolute_url() + '/' + action_after_validate + '?' + urlencode(args)
+return REQUEST.RESPONSE.redirect(url)
 
Index: WAeUP_SRP/trunk/skins/waeup_student/delete_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/delete_course_result.py	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/delete_course_result.py	(revision 1590)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=ids=[], REQUEST=None
+##parameters=ids=[], REQUEST=None, action_after_reject=None, action_after_validate=None
 ##title=
 ##
@@ -15,5 +15,5 @@
 from Products.CMFCore.utils import getToolByName
 here = context
-
+from urllib import urlencode
 import logging
 logger = logging.getLogger('Skins.delete_course_result')
@@ -35,5 +35,7 @@
 else:
     message = 'portal_status_message=psm_select_at_least_one_document'
-
+    
+args['portal_status_message'] = message
+url = context.absolute_url() + '/' + action_after_validate + '?' + urlencode(args)
 if REQUEST is not None:
-    return REQUEST.RESPONSE.redirect(ret_url + '?' + message)
+    return REQUEST.RESPONSE.redirect(url)    
Index: WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1590)
@@ -191,4 +191,6 @@
                      class="context" value="Add Course" 
                      />
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                       tal:attributes="value string:external_study_level_view"/>                      
             </td>                
         </table>
Index: WAeUP_SRP/trunk/skins/waeup_student/refresh_level.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/refresh_level.py	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/refresh_level.py	(revision 1590)
@@ -1,3 +1,3 @@
-##parameters=
+##parameters=REQUEST=None, student=None, action_after_reject=None, action_after_validate=None
 # $Id$
 """
@@ -18,4 +18,6 @@
 import logging
 logger = logging.getLogger('Skins.refresh_level')
+
+from urllib import urlencode
 
 current = DateTime.DateTime()
@@ -100,4 +102,7 @@
 session.set('in_progress','finished')
 logger.info('%s updated course list' % member)
-return
-return response.redirect("%s" % level.absolute_url())
+
+psm = "Course list updated!"
+args['portal_status_message'] = psm
+url = context.absolute_url() + '/' + action_after_validate + '?' + urlencode(args)
+return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/register_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/register_courses.py	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/register_courses.py	(revision 1590)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=student=None
+##parameters=REQUEST=None, student=None, action_after_reject=None, action_after_validate=None
 ##title=
 ##
@@ -18,4 +18,6 @@
     def set_trace():
         pass
+
+from urllib import urlencode        
 
 request = context.REQUEST
@@ -41,3 +43,8 @@
     return request.RESPONSE.redirect("%s" % context.absolute_url())
 logger.info('%s registered course list of %s' % (member_id,student_id))
-return request.RESPONSE.redirect("%s" % context.absolute_url())
+
+
+psm = "You successfully submitted your course list!"
+args['portal_status_message'] = psm
+url = context.absolute_url() + '/' + action_after_validate + '?' + urlencode(args)
+return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1590)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=REQUEST, student=None, action_after_reject=None, action_after_validate=None
+##parameters=REQUEST=None, student=None, action_after_reject=None, action_after_validate=None
 ##title=
 ##
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1589)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1590)
@@ -198,4 +198,6 @@
                      class="context" value="Add Course" 
                      />
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                       tal:attributes="value string:/study_level_view"/>                       
             </td>                
         </table>