Index: WAeUP_SRP/branches/uli/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/actionicons.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/actionicons.xml	(revision 1593)
@@ -57,5 +57,9 @@
               action_id="allocate_reserved_bed"
               title="Allocate Reserved Bed" priority="100"
-              icon_expr="bed_list_refresh.gif"/>              
+              icon_expr="bed_list_refresh.gif"/>
+ <action-icon category="object"
+              action_id="release_bed"
+              title="Relase Bed" priority="110"
+              icon_expr="door_out.png"/>   
  <action-icon category="folder" action_id="portlets"
               title="Manage portlets" priority="270"
Index: WAeUP_SRP/branches/uli/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/layouts/student_accommodation.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/layouts/student_accommodation.xml	(revision 1593)
@@ -110,5 +110,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_method">formatBed</property>
+  <property name="render_method">getFormattedBed</property>
  </widget>
  <widget name="session" meta_type="String Widget">
Index: WAeUP_SRP/branches/uli/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/layouts/student_accommodation_fe.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/layouts/student_accommodation_fe.xml	(revision 1593)
@@ -79,5 +79,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_method">formatBed</property>
+  <property name="render_method">getFormattedBed</property>
  </widget>
  <widget name="session" meta_type="String Widget">
Index: WAeUP_SRP/branches/uli/profiles/default/payments_catalog.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/payments_catalog.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/payments_catalog.xml	(revision 1593)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
-<object name="payments_catalog" meta_type="CMF Catalog">
+<object name="payments_catalog" meta_type="WAeUP Table">
  <column value="id"/>
  <column value="student_id"/>
Index: WAeUP_SRP/branches/uli/profiles/default/pumeresults.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/pumeresults.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/pumeresults.xml	(revision 1593)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
-<object name="portal_catalog" meta_type="WAeUP Table">
+<object name="portal_pumeresults" meta_type="WAeUP Table">
  <column value="jamb_reg_no"/>
  <column value="name"/>
Index: WAeUP_SRP/branches/uli/profiles/default/results_import.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/results_import.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/results_import.xml	(revision 1593)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
-<object name="portal_catalog" meta_type="CMF Catalog">
+<object name="results_import" meta_type="WAeUP Table">
  <column value="key"/>
  <column value="matric_no"/>
Index: WAeUP_SRP/branches/uli/profiles/default/returning_import.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/returning_import.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/returning_import.xml	(revision 1593)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
-<object name="portal_catalog" meta_type="CMF Catalog">
+<object name="returning_import" meta_type="WAeUP Table">
  <column value="matric_no"/>
  <column value="Entryregno"/>
Index: WAeUP_SRP/branches/uli/profiles/default/schemas/import_student_course_results.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/schemas/import_student_course_results.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/schemas/import_student_course_results.xml	(revision 1593)
@@ -6,3 +6,2 @@
  <field name="score" meta_type="CPS String Field"/>
 </object>
-
Index: WAeUP_SRP/branches/uli/profiles/default/themes.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/themes.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/themes.xml	(revision 1593)
@@ -25,4 +25,6 @@
   <element key="payment_receipt" value="WAeUP_Student+Slippage"/>
   <element key="course_registration_slip" value="WAeUP_Student+Slippage"/>
+  <element key="external_study_level_view" value="WAeUP_Student+Slippage"/>
+  <element key="external_contact_student_form" value="WAeUP_Student+Slippage"/>
  </property>
  <object name="default" meta_type="Portal Theme"/>
Index: WAeUP_SRP/branches/uli/profiles/default/types/StudyLevel.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/types/StudyLevel.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/types/StudyLevel.xml	(revision 1593)
@@ -37,9 +37,15 @@
   <permission value="View"/>
  </action>
-   <action title="Add Course" action_id="new_entry" category="object"
-    condition_expr=""
-    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
-    visible="True">
-  <permission value="Modify portal content"/>
+  <action title="Add Course" action_id="new_entry" category="object"
+          condition_expr=""
+          url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
+          visible="True">
+    <permission value="Modify portal content"/>
+  </action>
+  <action title="Delegate" action_id="localroles" category="object"
+          condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+          visible="True">
+    <permission value="Modify portal content"/>
  </action>
+
 </object>
Index: WAeUP_SRP/branches/uli/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/vocabularies/searchable_student_states.xml	(revision 1561)
+++ WAeUP_SRP/branches/uli/profiles/default/vocabularies/searchable_student_states.xml	(revision 1593)
@@ -19,4 +19,5 @@
  <item key="clearance_requested" msgid="">clearance requested</item>
  <item key="cleared_and_validated" msgid="">cleared and validated</item>
- <item key="content_addable" msgid="">content addable</item>
+ <item key="courses_registered" msgid="">courses registered</item>
+ <item key="courses_validated" msgid="">courses validated</item>
 </object>
Index: WAeUP_SRP/branches/uli/profiles/default/vocabularies/student_import_mode.xml
===================================================================
--- WAeUP_SRP/branches/uli/profiles/default/vocabularies/student_import_mode.xml	(revision 1593)
+++ WAeUP_SRP/branches/uli/profiles/default/vocabularies/student_import_mode.xml	(revision 1593)
@@ -0,0 +1,17 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="verdicts" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="" msgid=""></item>
+ <item key="adm_pt" msgid="">Admitted Parttime</item>
+ <item key="adm_ft" msgid="">Admitted Fulltime</item>
+ <item key="adm_dp" msgid="">Admitted Diploma</item>
+ <item key="adm_pg" msgid="">Admitted Postgraduate</item>
+ <item key="ret_pt" msgid="">Returning Parttime</item>
+ <item key="ret_ft" msgid="">Returning Fulltime</item>
+ <item key="ret_dp" msgid="">Returning Diploma</item>
+ <item key="defered" msgid=""></item>
+</object>